import request from "@/scripts/httpRequest"
import qs from "qs"

export const getLocalCameraTree = (data: any) => {
  return request({
    url: "/saas/api-s/area/localmenu",
    method: "post",
    data: data
  })
}

export const getGB28181CameraTree = (query: any) => {
  return request({
    url: "/saas/api-s/gb28181/tree",
    method: "post",
    data: query
  })
}

export const getClusterTree = (query: any) => {
  return request({
    url: "/data/api-v/camera/nodeCamera",
    method: "get",
    params: query
  })
}

export const addAreaTreeData = (query: any) => {
  return request({
    url: "/saas/api-s/area/add",
    method: "post",
    data: query
  })
}

export const delAreaTreeData = (query: any) => {
  return request({
    url: "/saas/api-s/area/del",
    method: "post",
    data: query
  })
}

export const updateAreaTreeData = (query: any) => {
  return request({
    url: "/saas/api-s/area/update",
    method: "post",
    data: query
  })
}

export const getCameraBaseImage = (data: any) => {
  return request({
    url: "/saas/api-s/gb28181/camera/capture",
    method: "post",
    data
  })
}

export const getGb28181Pool = (data) => {
  return request({
    url: "/saas/api-s/gb28181/treeSelected",
    method: "post",
    data
  })
}

export const refreshGB28181Tree = (data) => {
  return request({
    url: "/saas/api-s/gb28181/treeRefresh",
    method: "post",
    data
  })
}

export const updateCameraArea = (query: any) => {
  return request({
    url: "/data/api-v/camera/updateCameraArea",
    method: "post",
    data: qs.stringify(query)
  })
}

// 数据报表
export const reportFormGetFormType = () => {
  return request({
    url: "/saas/api-s/reportForm/getFormTypeList",
    method: "get"
  })
}

export const reportFormGetExport = (data) => {
  return request({
    url: "/saas/api-s/reportForm/getExportList",
    method: "post",
    data
  })
}

export const reportFormExportForm = (data) => {
  return request({
    url: "/saas/api-s/reportForm/exportForm",
    method: "post",
    data
  })
}
